<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use App\Scolarite\Domain\Model\Evaluation\EvaluationId;
use DomainException;

use function sprintf;

final class BaremeNonModifiableException extends DomainException
{
    public static function carNotesExistantes(EvaluationId $id): self
    {
        return new self(sprintf(
            'Le barème de l\'évaluation "%s" ne peut pas être modifié car des notes ont déjà été saisies.',
            $id,
        ));
    }
}
